Установка мультимедиа — кодеков в openSUSE Leap

0
46
Установка мультимедиа — кодеков в openSUSE Leap
Установка мультимедиа — кодеков в openSUSE Leap
Приветствую Вас, дорогой читатель!

В этой статье мне бы хотелось немного рассказать о способе установки мультимедийных кодеков в дистрибутиве openSUSE Leap, в данном случае речь пойдёт о версии 15.2. Хотя дистрибутив и является представителем так называемой когорты «user — friendly», но вот с установкой кодеков тут не всё так просто. Всё дело в том, что стандартные репозитории, даже тот, в котором размещаются «non — free»(пакеты с программным обеспечением, распространяющимся под лицензиями, отличными от GNU GPL), не содержит нужных кодеков. Причина данной ситуации — это тема для отдельной статьи.  Скажу лишь то, что это сделано для минимизации юридических рисков для SUSE LLC.

Добавляем нужные репозитории

Начнём с того, что добавим нужные нам репозитории. Их два — Packman и libdvdcss. Эх, надо бы отдельную статью про репозитории для openSUSE написать…. : ). Очевидно, что всё необходимые нам пакеты, содержаться в них. Для того, что бы их добавить, введём две команды (данные репозитории можно добавить и через Yast, но на мой взгляд сделать это через терминал гораздо удобнее, равно как и затем установить нужные нам пакеты):

sudo zypper addrepo -f http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.2/ packman

sudo zypper addrepo -f http://opensuse-guide.org/repo/openSUSE_Leap_15.2/ dvd

Устанавливаем нужные пакеты

Опять же, обращаемся к терминалу и выполняем команду:

sudo zypper install —allow-vendor-change ffmpeg-3 lame gstreamer-plugins-bad gstreamer-plugins-ugly gstreamer-plugins-ugly-orig-addon gstreamer-plugins-libav libavdevice58 libdvdcss2 vlc-codecs

В процессе установки пакетов, zypper попросит нас подтвердить замену уже установленных пакетов («поставщик» пакетов теперь то другой). Подтверждаем. И выполняем команду для замены «поставщика» обновлений (что бы в будущем zypper искал обновления для этих пакетов в репозиториях packman и dvd, и обновил уже установленные пакеты (например VLC) из репозитория Packman:

sudo zypper dup —allow-vendor-change —from http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.2/

 

На этом в общем то всё. Теперь с просмотром видео различного формата, а так же прослушиванием mp3 — файлов, проблем возникнуть не должно. Так же прошу оставить комментарий о том, помогла ли Вам эта статья?

ОСТАВЬТЕ ОТВЕТ

Please enter your comment!
Please enter your name here